get all user tokens.md

Get all user tokens

Management API · Your Profile

GET https://app.mk.io/api/v1/user/tokens

Get all non-expired API tokens issued to the current user.

Requires authentication; no additional RBAC permissions required.

Authentication

Example request

curl -X GET "https://app.mk.io/api/v1/user/tokens" \
  -H "Authorization: Bearer <token>"

Responses

200 — OK

Example:

{
  "kind": "string",
  "value": [
    {
      "kind": "string",
      "metadata": {
        "JWT": "string",
        "id": "00000000-0000-0000-0000-000000000000",
        "type": "full-access"
      },
      "spec": {
        "description": "string",
        "expires": "2024-01-01T00:00:00Z",
        "issued": "2024-01-01T00:00:00Z",
        "lastUsed": "2024-01-01",
        "organizationId": "00000000-0000-0000-0000-000000000000",
        "permissions": {},
        "revoked": "2024-01-01T00:00:00Z",
        "revokedBy": "string",
        "user": "string"
      }
    }
  ]
}

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: management-api · operationId: [get]_/api/v1/user/tokens